Bug 740352 - make guest mode entry to be rcu quiescent state [rhel-6.1.z]
Summary: make guest mode entry to be rcu quiescent state [rhel-6.1.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 712653
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 18:18 UTC by RHEL Product and Program Management
Modified: 2018-11-14 18:52 UTC (History)
9 users (show)

Fixed In Version: kernel-2.6.32-131.19.1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-22 16:51:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1465 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-11-22 21:45:37 UTC

Description RHEL Product and Program Management 2011-09-21 18:18:33 UTC
This bug has been copied from bug #712653 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 10 FuXiangChun 2011-11-11 08:29:06 UTC
reproduce with 2.6.32-131.18.1.el6.x86_64 

steps to reproduce:

1.1. boot guest
/usr/libexec/qemu-kvm -M rhel6.1.0 -enable-kvm -name rhel6 -smp 4 -m 2G -uuid 9e6f04cf-2ad7-45aa-9333-2d2ee26570c8 -boot menu=on -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -drive file=/home/rhel64.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,serial=fuxc,cache=none,werror=ignore,rerror=ignore,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:42:0b:01 -balloon none -spice disable-ticketing,port=5912 -balloon none -vga qxl -monitor stdio -serial unix:/tmp/test0,server,nowait

1.2. in guest 
  #halt

testing result:
guest pause about 5 seconds after printing "Disabling non-boot
CPUs"

2.verify with 2.6.32-131.20.1.el6.x86_64

2.1 use the same steps 
testing result:

No pause after printing "Disabling non-boot
CPUs"


base on above testing result, this bug is fixed.

Comment 11 juzhang 2011-11-11 08:32:28 UTC
According to comment10,set this issue as verified.

Comment 12 errata-xmlrpc 2011-11-22 16:51:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1465.html


Note You need to log in before you can comment on or make changes to this bug.